Bug 846638 - [RFE] Manual editing on the project-wide search results page
[RFE] Manual editing on the project-wide search results page
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Luke Brooker
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 06:16 EDT by Runa Bhattacharjee
Modified: 2016-04-18 05:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:34:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Runa Bhattacharjee 2012-08-08 06:16:09 EDT
The results from the Project Wide search and replace feature are presented in a list, where the replacements are automatically made as per the users' selection from the list.

However, this causes a hindrance if the user wants to make further selections within a 1 row in the result list, when not all of the multiple search matches within that row are to be replaced. Additionally, after a replacement operation the string may need to be manually modified to make grammatical corrections.

In such a case, the user would like to have access to a manual editing mode. The alternative at present, is to keep a tab on the string and to search for it again after returning to the main editor.
Comment 1 Gladys Guerrero 2012-08-09 02:08:54 EDT
Yes, 
The replacements are automatically made and a user is not able to make changes within the result list. 
Let's say that I need to replace the word 'cluster' with 'clúster'. I get the list, I could click on replace. But, if there is in the list a term 'clúster' that needs to be in capital letters or in plural. I won't be able to change it from there. So I will have to go back, search for those terms and change them manually.
Comment 2 Hedda Peters 2013-02-11 18:27:58 EST
Supported - that's a bug bear of mine, too.
Comment 4 Patrick Huang 2013-03-14 22:06:27 EDT
With the completion of bug 723084 - bookmarkable messages. We will be able to jump back to THE message in editor. And use browser history to go back and forth. Not ideal but as an interim solution.
Comment 5 Patrick Huang 2013-03-14 23:52:55 EDT
Upon implementing above mentioned feature, there are difficulties. 

Editor may be in filter mode (translated, fuzzy or untranslated). If it is, the message in search result may not be displayed in the editor. 

Until we get message filter in history, or a way to notify user an invalid history url, we can't do this otherwise may cause user confusion.
Comment 6 Patrick Huang 2013-03-18 23:41:50 EDT
above comment 5 is implemented and committed into master:
https://github.com/zanata/zanata/commit/c951da13b484de3a94a86e60d6c345ea0c67c205
Comment 7 Michelle Kim 2015-02-25 00:13:34 EST
It is good to have feature and we are in the process of creating new translation editor for Zanata. Luke will be working on better way to do project wide search and replace with editing enabled. I am assigning this bug to Luke as part of New Editor RFE.
Comment 8 Zanata Migrator 2015-07-28 23:34:25 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-327

Note You need to log in before you can comment on or make changes to this bug.